### Method

# RB ExtDB lookup

#### Declaration [src]

    char*
    rb_ext_db_lookup (
      RBExtDB* store,
      RBExtDBKey* key,
      RBExtDBKey** store_key
    )

#### Description [src]

Looks up a cached metadata item.

#### Parameters

`key`

  Type: `RBExtDBKey`

  Metadata lookup key.

  The data is owned by the caller of the method.

`store_key`

  Type: `RBExtDBKey`

  Optionally returns the matching storage key.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `char*`

Name of the file storing the cached metadata item.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.